---
title: "List Official Identification Documents"
source_url: https://docs.rapyd.net/en/list-official-identification-documents.html
lang: en
---

# List Official Identification Documents

Retrieve a list of the types of official identification documents for a country.

Use this method to determine the types of documents to use for identification purposes, and also whether you need the reverse side of the document. You can filter your search results by country with the `country` query parameter.

### Parameters

### Request Query Parameters

- - country
  - Two-letter ISO 3166-1 ALPHA-2 code for the country.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - country
  - The two-letter ISO 3166-1 ALPHA-2 code for the country of the identification document.
- - is_address_extractable
  - Indicates whether the person's address can be extracted from the document.
- - is_back_required
  - Indicates whether the back of the document is required to establish identity.
- - name
  - Name of the identification document.
- - type
  - Type of identification document. Two-letter code.

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string country = "US";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/identities/types?country={country}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      onst makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest('GET', '/v1/identities/types?country=US');

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);

      try {
          $object = make_request('get', '/v1/identities/types?country=US');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      country = 'US'

      results = make_request(method='get', path=f'/v1/identities/types?country={country}')
      pprint(results)
      ```

- /v1/identities/types

- List Official Identification Documents
- ```curl
  curl -X get
  https://sandboxapi.rapyd.net/v1/identities/types?country=US
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "0",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "a1036ba7-7dbf-410d-b31e-eca3236ed79c"
      },
      "data": [
          {
              "country": "US",
              "type": "DL",
              "name": "Driver's License",
              "is_back_required": true,
              "is_address_extractable": false
          },
          {
              "country": "US",
              "type": "ID",
              "name": "Identity Card",
              "is_back_required": true,
              "is_address_extractable": false
          },
          {
              "country": "US",
              "type": "PA",
              "name": "Passport",
              "is_back_required": false,
              "is_address_extractable": false
          }
      ]
  }
  ```
